Bug 124462 - ispell macro in joerc has several problems - fix to use aspell instead [has patch]
Summary: ispell macro in joerc has several problems - fix to use aspell instead [has p...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: joe   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 19:35 UTC by Matthew Miller
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 21:07:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to use mktemp (and aspell) (965 bytes, patch)
2004-05-26 19:35 UTC, Matthew Miller
no flags Details | Diff

Description Matthew Miller 2004-05-26 19:35:06 UTC
The ispell macro in joerc has several problems. First, since we
actually have aspell instead of ispell, it's using aspell in
compatibility mode. The main negative effect of this is that it leaves
ispell.tmp.bak files laying around (ispell wouldn't create those, so
the macro doesn't know to remove them).

Second, the 'ispell.tmp' name itself is problematic. Instead, it
should use mktemp.

I'm goin gto attach a patch to joerc.in to fix this. The specfile
should also be updated to require mktemp, of course.

Comment 1 Matthew Miller 2004-05-26 19:35:52 UTC
Created attachment 100603 [details]
patch to use mktemp (and aspell)

Comment 3 Matthew Miller 2004-05-27 18:01:37 UTC
I suggested it to the author as well. 

However, I'm not sure that this one will be accepted upstream, because
some places where joe is in use probably actually *do* have ispell.
Changing to use aspell is a distro-dependent config.

Likewise, not everywhere will have "mktemp -t", but that's the right
thing to do for Fedora / Red Hat.

And, I'm not sure how long it will be until upstream would accept and
release a new version, even if they do. The mktemp issue is a security
vulnerability (admitably minor) and could be used as a symlink attack,
so I'd like to see that included sooner rather than later. And while
doing that, might as well change to using aspell to clean up the .bak
file problem.

Comment 4 Matthew Miller 2004-06-01 01:14:07 UTC
Yeah, a bit of this seems to have gone into 3.1 --it now uses my
"SPLTMP" variable, but sets it explicitly to "ispell.tmp". Using
mktemp -t is better.

I think also that the upstream change has made it so aspell is a
buildprereq for the package -- if aspell isn't found, it'll assume ispell.

Comment 5 Lon Hohberger 2004-06-01 14:34:58 UTC
joe-3.1-1.2 should appear in rawhide soon.


Comment 6 Matthew Miller 2004-06-01 14:37:23 UTC
Cool. Will you patch it to use the mktemp thing?

Comment 7 Lon Hohberger 2004-06-01 14:41:45 UTC
Yes.

Comment 8 Matthew Miller 2004-06-01 14:42:32 UTC
Cool. Best Editor Ever. :) Thanks!


Note You need to log in before you can comment on or make changes to this bug.